M3i not working in a new DSi but is in an older DSi console!!

Discussion in 'M3 Adapter' started by rich_swuk, Dec 26, 2009.

  1. rich_swuk
    OP

    Newcomer rich_swuk Newbie

    Joined:
    Dec 26, 2009
    Messages:
    6
    Country:
    United Kingdom
    Hi,

    I followed the instructions to enable the M3i zero. I loaded data onto the microSD card, inserted into a brand new DSi. The DSi menu shows the M3i card which I then select, I get the following error message on the DSi,

    "An error has occurred. Press & hold power button to turn the system off. Please refer to NDSi Ops manual for details" - nothing in the manual helps!

    Also tried in another brand new DSi, the M3i still doesn't work, same message as above. DS games cards work fine.

    The M3i is running the latest, v1.45 X.

    I then tried the M3i card in an older DSi console (6 months old), it works absolutely fine!! [​IMG]

    Can anyone please help?

    Rich
     
  2. Hatsu

    Banned Hatsu Someone's been killing, eh?

    Joined:
    Oct 19, 2009
    Messages:
    2,143
    Location:
    __________________ Warn: 50%
    Country:
    Australia
    Run the f_core.dat update.
     
  3. rich_swuk
    OP

    Newcomer rich_swuk Newbie

    Joined:
    Dec 26, 2009
    Messages:
    6
    Country:
    United Kingdom
    Thanks, how do I run a f_core.dat update?
     
  4. tj_cool

    Supervisor tj_cool Stuff

    Joined:
    Jan 7, 2009
    Messages:
    9,942
    Location:
    This planet
    Country:
    Belgium
  5. CannonFoddr

    Member CannonFoddr Regular GBATemp Lurker

    Joined:
    Sep 23, 2006
    Messages:
    4,106
    Location:
    Sitting by computer
    Country:
    United Kingdom
    Have the DSi's got the same firmware number ??
    When used on older DSi does it show a 'Acekard' icon or a 'Danny Phantom' icon ??

    If the answers are 'No-firmware numbers are different' and 'acekard icon' then yes you will need to use the f_core update
     
  6. rich_swuk
    OP

    Newcomer rich_swuk Newbie

    Joined:
    Dec 26, 2009
    Messages:
    6
    Country:
    United Kingdom
    ok, I've completed the f_core.dat update, followed the instructions on http://gbatemp.net/index.php?showtopic=168862. If I re-format the SD card then follow the guidelines I get a constant red LED. If I then use another memory SD card the f-core.dat update seems to work...flashing LED. When I then load data onto this card, I now get the the same error message on both DSi,

    "An error has occurred. Press & hold power button to turn the system off. Please refer to NDSi Ops manual for details" - nothing in the manual helps!

    Tried different microSDd cards....I can no longer read data on the older DSi.

    The older DSi f/ware v1.2E, newer DSi f/ware 1.4E. I haven't noticed either an "acecard" or "danny phantom" icon.

    I also use a Supercard DSonei in the older DSi, this which works fine, however, it doesn't work in the newer DSi.

    any further suggestions would be grately appreciated....not sure what I'm doing wrong [​IMG]
     
  7. Krestent

    Member Krestent What to post?

    Joined:
    Mar 31, 2009
    Messages:
    3,952
    Country:
    United States
    The SCDSONEi also needs a firmware update because N blocked it in SM1.4. DL the latest core update to the root of the MicroSD and plug it in to the USB writer.
     
  8. rich_swuk
    OP

    Newcomer rich_swuk Newbie

    Joined:
    Dec 26, 2009
    Messages:
    6
    Country:
    United Kingdom
    Thanks...I'll keep using my SCOnei with my older DSi console

    I'd like to get the M3i zero working with my new later console! Having looked around various fora it seems that v1.4 NDSi firmware blocks flash cards, does the latest f_core.dat update resolve this issue?
     
  9. Krestent

    Member Krestent What to post?

    Joined:
    Mar 31, 2009
    Messages:
    3,952
    Country:
    United States
    The SC update is the same as the M3's. You must have used an older update for the M3i that didn't fix the 1.4 compatibility.
     
  10. rich_swuk
    OP

    Newcomer rich_swuk Newbie

    Joined:
    Dec 26, 2009
    Messages:
    6
    Country:
    United Kingdom
  11. bluejays

    Member bluejays GBAtemp Regular

    Joined:
    Jun 14, 2009
    Messages:
    159
    Location:
    Canada
    Country:
    Canada
    Well after i watched the video a little info box pops up in the middle of it saying that you will need a newer version because 1.4 blocked old core firmware..so u basically should go the the M3 adapter website if i am correct and download the ones for 1.4..
    I don't have the m3i zero myself..but im pretty sure the video doesn't give you the most updated one.
     
  12. Hatsu

    Banned Hatsu Someone's been killing, eh?

    Joined:
    Oct 19, 2009
    Messages:
    2,143
    Location:
    __________________ Warn: 50%
    Country:
    Australia
  13. bluejays

    Member bluejays GBAtemp Regular

    Joined:
    Jun 14, 2009
    Messages:
    159
    Location:
    Canada
    Country:
    Canada
    Let us know if it worked since i may get a M3I zero and if there are problems like this i might not.
     
  14. sumarth

    sumarth Newbie

    many people have done this withuot problems
     
  15. Krestent

    Member Krestent What to post?

    Joined:
    Mar 31, 2009
    Messages:
    3,952
    Country:
    United States
    The one on that page is an old version. It is firmware for the cart, just not new enough to unblock the cart. M3's website should have the latest firmware.
     
  16. rich_swuk
    OP

    Newcomer rich_swuk Newbie

    Joined:
    Dec 26, 2009
    Messages:
    6
    Country:
    United Kingdom

Share This Page